Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Canon LBP3200 на Ubuntu Server LTS + Windows 10 через IPP  (Прочитано 222 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн nrv9999

  • Автор темы
  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Здравствуйте. Такой вопрос:
В общем, установил принтер (Canon LBP3200) на Ubuntu Server LTS (согласно http://forum.ubuntu.ru/index.php?topic=189049.0 местному руководству), работает (драйвер 2.70): печатает через lp, текст печатает, pdf печатает (значит ли это, что принтер на входе может принимать postscript? об этом дальше)
А вот на клиентской Windows 10 64-bit (для которой не дров), принтер устанавливается (через IPP, клиент интернет печати в компонентах установлен), но вопрос: с каким драйвером это нужно делать? Я предполагал, что винда сможет работать с драйвером какого-нибудь generic принтера, отправляя данные в формате postscript. Если выбирать драйвер принтера MS Publisher ImageSetter либо  MS Publisher Color Printer, то в веб-админке CUPS в статусе задания ошибка:
Цитировать
"[CAPTFILTER] Input File Error."
. Если драйвер что-там Text Only  то печатает, но, соответственно, только текст. В этой теме http://forum.ubuntu.ru/index.php?topic=182170.0 один человек утверждает, что печатать должно с Microsoft PS class driver (у него Windows 8), в 10-ке такого нет, есть Microsoft XPS class driver (упс, есть, но сним та же фигня что и с XPS), с ним сначала никакой ошибки в статусе не было (не печатал, разумеется), теперь
Цитировать
"Can't connect to CCPD: Connection refused"
.
Вопрос: исходя из того, что, вроде-как postscript принтер может, получается проблема в драйвере на винде? Какой драйвер выбрать? Или все равно работать не будет? Или все-таки на Ubuntu не принимается/не понимается postscript (или винда засылает какую-нибудь более новую версию формата) и можно как-то донастроить поддержку postscript на Ubuntu?
« Последнее редактирование: 18 Январь 2017, 16:58:56 от nrv9999 »

 

Страница сгенерирована за 0.084 секунд. Запросов: 23.